<!-- Formal Public Identifier:
  "-//RosettaNet//DTD Common Business Elements 1.0 20000910//EN"
  -->
<!--

   RosettaNet XML Message Schema
   2A9_MS_V01_01_BusinessCommon.mod (01-Nov-2001 12:00)
   
   Created by Silicon Integration Initiative, Inc. (Si2)
   http://www.si2.org

-->

<!-- ======================================================================
                           COMMON BUSINESS ELEMENTS

  These element definitions are shared by more than one PIP.

                  CHANGE HISTORY

   Version    Date        Time     Author    Company
   =======    ========    =====    ======    =========
   1.0        20000820    14:00    Mallis    Si2, Inc.
   1.0        20000910    16:00    Mallis    Si2, Inc.

======================================================================== -->

<!ELEMENT FreeFormText ( #PCDATA ) >
<!ATTLIST FreeFormText
  xml:lang  CDATA  #IMPLIED
  >

<!ELEMENT fromRole ( PartnerRoleDescription ) >

<!ELEMENT PartnerRoleDescription ( 
  GlobalPartnerRoleClassificationCode,
  PartnerDescription,
  ContactInformation?
  ) >

<!ELEMENT ContactInformation ( 
  contactName,
  telephoneNumber,
  EmailAddress
  ) >

<!ELEMENT contactName ( FreeFormText ) >

<!ELEMENT telephoneNumber ( CommunicationsNumber ) >

<!ELEMENT CommunicationsNumber ( #PCDATA ) >

<!ELEMENT EmailAddress ( #PCDATA ) >
<!ATTLIST EmailAddress
  xml:lang  CDATA  #IMPLIED
  >

<!ELEMENT GlobalPartnerRoleClassificationCode ( #PCDATA ) >

<!ELEMENT PartnerDescription ( 
  GlobalPartnerClassificationCode,
  BusinessDescription
  ) >

<!ELEMENT GlobalPartnerClassificationCode ( #PCDATA ) >

<!ELEMENT BusinessDescription ( 
  GlobalBusinessIdentifier,
  GlobalSupplyChainCode
  ) >

<!ELEMENT GlobalBusinessIdentifier ( #PCDATA ) >

<!ELEMENT GlobalSupplyChainCode ( #PCDATA ) >

<!ELEMENT toRole ( PartnerRoleDescription ) > 

<!ELEMENT thisDocumentGenerationDateTime ( DateTimeStamp ) > 

<!ELEMENT DateTimeStamp ( #PCDATA ) >

<!ELEMENT thisDocumentIdentifier ( ProprietaryDocumentIdentifier ) > 

<!ELEMENT ProprietaryDocumentIdentifier ( #PCDATA ) >

<!ELEMENT GlobalDocumentFunctionCode ( #PCDATA ) >

<!ELEMENT requestingDocumentIdentifier ( ProprietaryDocumentIdentifier ) > 

<!ELEMENT requestingDocumentDateTime ( DateTimeStamp ) > 
